package com.agagliardi.z.utils;

import java.util.Iterator;

public class DivergentListUtil{

	private static final long serialVersionUID = -7578567710403971790L;

	public static Object[][] diverge(Iterator itr,int length) {
		Object[][] divergentArrays = null;
		int i = 0;
		while (itr.hasNext()) {
			Divergeable e =  (Divergeable) itr.next();
			Object[] diverged = e.diverge();
			if (divergentArrays == null) {
				divergentArrays = new Object[length][diverged.length];
			}
			divergentArrays[i++] = diverged;
		}
		return divergentArrays;
	}
	
	public static void converge(Object[][] data,Iterator iterator) {
		for (int i = 0; i < data.length; i++) {
			Object[] objects = data[i];
			((Divergeable) iterator.next()).converge(objects);
		}
	}
}
