package com.agagliardi.z.utils;

import java.io.Serializable;
import java.util.Calendar;

public class Element implements Divergeable, Serializable, Factory<Element> {
	private static final long serialVersionUID = 851868106698093596L;
	private double data;

	public Element() {
	}

	public Element(double data, Calendar time) {
		super();
		this.data = data;
		this.time = time;
	}

	private Calendar time;

	public void setData(double data) {
		this.data = data;
	}

	public double getData() {
		return data;
	}

	public void setTime(Calendar time) {
		this.time = time;
	}

	public Calendar getTime() {
		return time;
	}

	@Override
	public Object[] diverge() {
		return new Object[] { data, time };
		// return new Object[] { "" + data, time.getTimeInMillis() + "" };
	}

	@Override
	public void converge(Object[] data) {
		this.data = (Double) data[0];
		this.time = (Calendar) data[1];
		// this.data = Double.parseDouble((String) data[0]);
		// Calendar c = Calendar.getInstance();
		// c.setTimeInMillis(Long.parseLong((String) data[1]));
		// this.time = c;
	}

	@Override
	public Element newInstance() {
		return new Element();
	};

	public static Factory<Element> getFactory() {
		return new Element();
	}

}