package com.agagliardi.z.utils;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

public class BootableList<E> extends ArrayList<E> implements Bootable<List<E>> {

	private static final long serialVersionUID = 1L;

	public BootableList() {
		super();
	}

	public BootableList(Collection<? extends E> arg0) {
		super(arg0);
	}

	public BootableList(final int capacity) {
		super(capacity);
	}

	@Override
	public void boot() {
	}

	@Override
	public void defuse() {
		this.clear();
	}

	@Override
	public List<E> getInner() {
		return this;
	}

	@Override
	public void compact() {
		this.trimToSize();
	}
}