package com.agagliardi.z.utils;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.Random;

public class DivergeableTest {

	public static void main(String[] args) {

		ArrayList<Element> list = new ArrayList<Element>();
		Random random = new Random();
		for (int i = 0; i < 10; i++) {
			list.add(new Element(random.nextInt(), Calendar.getInstance()));
		}
		System.err.println(list.get(6).getTime().getTimeInMillis());
		int size = list.size();
		Object[][] objects = DivergentListUtil.diverge(list.iterator(), size);
		System.err.println(((Calendar) objects[6][1]).getTimeInMillis());
		list = new ArrayList<Element>(size);
		for (int i = 0; i < size; i++) {
			list.add(new Element());
		}
		DivergentListUtil.converge(objects, list.iterator());
		System.err.println(list.get(6).getTime().getTimeInMillis());
	}
}
